#!/bin/sh
#   Copyright (c) 2013 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of dSS11 Web Setup.
#
#   This file is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This file is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
export SHELL=/bin/sh

LOGDIR="/var/log/dss11-websetup"

# source common functions
. ./errlib.sh
. ./jsonlib.sh
. ./util.sh

echo "Content-Type: application/json"
echo ""

USERNAME="$1"
PASSWORD="$2"
DATASHARING="$3"

if [[ -z "$USERNAME" ]] || [[ -z "$PASSWORD" ]] || [[ -z "$DATASHARING" ]]; then
    json_error "$ERR_PARAM" "One or more parameters are missing!"
    exit 1
fi

nohup /www/scripts/dowebservice.sh persistent "$USERNAME" "$PASSWORD" "$DATASHARING" >> "$LOGDIR/dss11-websetup.log" &
if [[ "$?" -ne "$ERR_OK" ]]; then
    json_err "$ERR_SOFTWARE" "Could not launch webservice script!"
    exit 1
fi

json_ok
